##############################################################################
#
# Copyright (c) 2003 gocept gmbh & co. kg. All rights reserved.
#
# See also LICENSE.txt
#
##############################################################################
"""CMF amazon tool initalisation code

$Id: __init__.py,v 1.2 2003/07/20 18:31:21 ctheune Exp $"""

from Products.CMFCore import utils, DirectoryView
import AmazonTool 

# Arche types
from Globals import package_home
from Products.Archetypes.public import *

from config import *

DirectoryView.registerDirectory('skins', GLOBALS)

tools = (AmazonTool.AmazonTool, )

def initialize(context):
    utils.ToolInit('CMFAmazon Tool', tools=tools,
                product_name='CMFAmazon', icon="tool.gif").initialize(context)

    import book
    content_types, constructors, ftis = process_types(
        listTypes(PROJECTNAME), PROJECTNAME)

    utils.ContentInit(
        PROJECTNAME + ' Content',
        content_types = content_types,
        permission = ADD_CONTENT_PERMISSION,
        extra_constructors = constructors,
        fti = ftis).initialize(context)

