##############################################################################
#
# Copyright (c) 2003 gocept gmbh & co. kg. All rights reserved.
#
# See also LICENSE.txt
#
##############################################################################
"""CMF amazon tool interface definitions

$Id: interfaces.py,v 1.2 2003/07/20 18:31:21 ctheune Exp $"""
    
from Interface import Interface, Attribute

class IAmazonTool(Interface):

    developerToken = Attribute("String that defines the amazon developer token")
    associatesTag = Attribute("String that defines the amazon associates tag")

    def setDeveloperToken(token):
        pass

    def setAssociatesTag(self, tag):
        pass

    def isOnAmazon(asin, locale=None):
        """Returns if the given ASIN is available on the given local
           catalog."""
        pass
        
    def getBook(asin, price=0, locale=None):
        """Fetch the book. (Cached)"""
        pass
